Bug 699793 - [RV380] System falls down after running gnome-control-center - Display (Fedora 15 Beta Live CD)
Summary: [RV380] System falls down after running gnome-control-center - Display (Fedor...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:modesetting]
Keywords: Triaged
Depends On:
Blocks: 697076
TreeView+ depends on / blocked
 
Reported: 2011-04-26 15:55 UTC by Jakub Jedelsky
Modified: 2018-04-11 16:05 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-07 16:28:53 UTC


Attachments (Terms of Use)
dmesg (120.79 KB, text/plain)
2011-04-28 09:56 UTC, Jakub Jedelsky
no flags Details
/var/log/messages (136.22 KB, text/plain)
2011-04-28 09:57 UTC, Jakub Jedelsky
no flags Details
/etc/X11/xorg.conf.d/00-system-setup-keyboard.conf (321 bytes, text/plain)
2011-04-28 09:58 UTC, Jakub Jedelsky
no flags Details
/var/log/Xorg.0.log (43.02 KB, text/plain)
2011-04-28 09:58 UTC, Jakub Jedelsky
no flags Details

Description Jakub Jedelsky 2011-04-26 15:55:48 UTC
Description of problem:
Based on bug #697076: When I want to start system with two monitors connected, Gnome3 starts in "fallback mode". When I boot system with one monitor (gnome3 starts corectly) and I add 2nd monitor, but it isn't automaticly detected (nothing happens). I want to run gnome-control-center with display settings for add this second one but system falls down and it must be rebooted by hand.

Version-Release number of selected component (if applicable):
control-center-3.0.0.1-2.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot system with one monitor connected
2. Connect a 2nd monitor and if nothing happens automaticly run gnome-control-center
3. Click on Display menu
  
Actual results:
System falls down, must be rebooted by hand.

Expected results:
Setup displays.

Additional info:
Graphic card from ATI Technologies Inc. with two outputs; product: RV370 [Radeon X300SE]
SMOLT: http://smolts.org/show?uuid=pub_fc15d738-d1ba-4213-8256-0dc92f08016a

Comment 1 Bastien Nocera 2011-04-26 16:06:27 UTC
If the system is unresponsive, then the control-center has nothing to do with it.

Comment 2 Matěj Cepl 2011-04-26 23:31:12 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Jakub Jedelsky 2011-04-28 09:56:51 UTC
Created attachment 495469 [details]
dmesg

Comment 4 Jakub Jedelsky 2011-04-28 09:57:29 UTC
Created attachment 495470 [details]
/var/log/messages

Comment 5 Jakub Jedelsky 2011-04-28 09:58:18 UTC
Created attachment 495471 [details]
/etc/X11/xorg.conf.d/00-system-setup-keyboard.conf

Comment 6 Jakub Jedelsky 2011-04-28 09:58:51 UTC
Created attachment 495472 [details]
/var/log/Xorg.0.log

Comment 7 Jakub Jedelsky 2011-04-28 10:07:27 UTC
As I wrote, I'm using live cd beta so I've add kernel parameter while booting this one. The pc was booted with one monitor, after successful boot I added another monitor and grabed log files..

Comment 8 Matěj Cepl 2011-06-13 12:45:46 UTC
Could you please try with the released Fedora 15 (LiveCD is on http://fedoraproject.org/get-fedora)?

Thank you

Comment 9 Jakub Jedelsky 2011-06-20 08:47:16 UTC
System is ok after running "display settings" (doesn'fall down), but there are still two problems:
- with two monitors connected gnome is in fallback mode
- external monitor is still disabled (black) after connecting and enabling it at display settings

Both of this is mentioned in bug #697076

Comment 10 Fedora End Of Life 2012-08-07 16:28:57 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.